int find_number(int MAX){
    int st=1,dr=MAX,mid=(st+dr)/2,nr;
    if(st>=dr){
        return (st+dr)/2;
    }else{
        if(smaller(mid)==true){
            st=mid+1;
        }else{
            dr=mid-1;
        }
        return find_number(mid);
    }
}